Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 146525 - FileChangeSupport is not reliable
FileChangeSupport is not reliable
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Ant Project
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Milan Kubec
issues@projects
: RANDOM, TEST
Depends on:
Blocks: 146072
  Show dependency treegraph
 
Reported: 2008-09-08 15:59 UTC by Jaroslav Tulach
Modified: 2008-09-11 17:45 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2008-09-08 15:59:05 UTC
While I was investigating some problems related to issue 146072 I found out that FileChangeSupportTest is not reliable 
and sometimes (one out of ten invocations) fails:


Testcase: testDiskChanges(org.netbeans.modules.project.ant.FileChangeSupportTest):        FAILED
and then a mod in file 
expected:<[M:/home/jarda/src/netbeans/fixes/project.ant/build/test/unit/work/o.n.m.p.a.F/testDiskChanges/dir/file2]> 
but was:<[]>
junit.framework.AssertionFailedError: and then a mod in file 

expected:<[M:/home/jarda/src/netbeans/fixes/project.ant/build/test/unit/work/o.n.m.p.a.F/testDiskChanges/dir/file2]> 
but was:<[]>
        at org.netbeans.modules.project.ant.FileChangeSupportTest.testDiskChanges(FileChangeSupportTest.java:149)
        at org.netbeans.junit.NbTestCase.access$200(NbTestCase.java:84)
        at org.netbeans.junit.NbTestCase$2.doSomething(NbTestCase.java:330)
        at org.netbeans.junit.NbTestCase$1Guard.run(NbTestCase.java:267)
        at org.netbeans.junit.NbTestCase.runBare(NbTestCase.java:346)
        at org.netbeans.junit.NbTestCase.run(NbTestCase.java:207)
Comment 1 Milan Kubec 2008-09-09 08:38:13 UTC
I've run the test fifteen times on linux and no failure. Does it really block the issue #146072?
Comment 2 Milan Kubec 2008-09-09 08:39:09 UTC
And is P2 priority really justified?
Comment 3 Jesse Glick 2008-09-10 03:53:49 UTC
I think it is rather the test which is unreliable. I will mark it as such. It could probably be modified to use
TestFileUtils.touch but I am not going to bother now. core-main #26ff275f467e
Comment 4 Quality Engineering 2008-09-11 17:45:28 UTC
Integrated into 'main-golden', will be available in build *200809111401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/26ff275f467e
User: Jesse Glick <jglick@netbeans.org>
Log: #146525: random failure.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo